# Generated by Django 2.2.17 on 2021-07-01 12:49

import canvas.models.sync
import canvas.square_sync.fields
from django.db import migrations, models
import encrypted_fields.fields


class Migration(migrations.Migration):

    dependencies = [
        ('canvas', '0010_squarecatalog'),
    ]

    operations = [
        migrations.CreateModel(
            name='CanvasAuth',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('access_token', encrypted_fields.fields.EncryptedCharField(help_text='Access token to Canvas Square app.', max_length=255)),
                ('access_expiry', encrypted_fields.fields.EncryptedDateTimeField()),
                ('refresh_token', encrypted_fields.fields.EncryptedCharField(help_text='Refresh token to Canvas Square app.', max_length=255)),
                ('_merchant_id', encrypted_fields.fields.EncryptedCharField(help_text="The Canvas app's Square id.", max_length=64)),
                ('merchant_id', canvas.square_sync.fields.CallableHashKeyEncryptedSearchField(blank=True, db_index=True, encrypted_field_name='_merchant_id', hash_key=canvas.models.sync.get_hash_key, max_length=66, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
